Package com.independentsoft.office.drawing

# Class GraphicFrameLocking

java.lang.Object
com.independentsoft.office.drawing.GraphicFrameLocking

public class GraphicFrameLocking extends Object
The Class GraphicFrameLocking.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraphicFrameLocking()`
  Instantiates a new graphic frame locking.
  `GraphicFrameLocking​(InternalXMLStreamReader reader)`
  Instantiates a new graphic frame locking.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GraphicFrameLocking`
  `clone()`
  `ExtensionList`
  `getExtensionList()`
  Gets the DrawingML extension list (`a:extLst`).
  `boolean`
  `isDisallowAspectRatioChange()`
  Checks if is disallow aspect ratio change.
  `boolean`
  `isDisallowGrouping()`
  Checks if is disallow grouping.
  `boolean`
  `isDisallowMove()`
  Checks if is disallow move.
  `boolean`
  `isDisallowResize()`
  Checks if is disallow resize.
  `boolean`
  `isDisallowSelection()`
  Checks if is disallow selection.
  `boolean`
  `isDisallowSelectionOfChildShapes()`
  Checks if is disallow selection of child shapes.
  `void`
  `setDisallowAspectRatioChange​(boolean disallowAspectRatioChange)`
  Sets the disallow aspect ratio change.
  `void`
  `setDisallowGrouping​(boolean disallowGrouping)`
  Sets the disallow grouping.
  `void`
  `setDisallowMove​(boolean disallowMove)`
  Sets the disallow move.
  `void`
  `setDisallowResize​(boolean disallowResize)`
  Sets the disallow resize.
  `void`
  `setDisallowSelection​(boolean disallowSelection)`
  Sets the disallow selection.
  `void`
  `setDisallowSelectionOfChildShapes​(boolean disallowSelectionOfChildShapes)`
  Sets the disallow selection of child shapes.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the DrawingML extension list (`a:extLst`).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GraphicFrameLocking

    public GraphicFrameLocking()
    Instantiates a new graphic frame locking.

  - ### GraphicFrameLocking

    public GraphicFrameLocking​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new graphic frame locking.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public GraphicFrameLocking clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the DrawingML extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the DrawingML extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### isDisallowAspectRatioChange

    public boolean isDisallowAspectRatioChange()
    Checks if is disallow aspect ratio change.
    Returns:
      true, if is disallow aspect ratio change

  - ### setDisallowAspectRatioChange

    public void setDisallowAspectRatioChange​(boolean disallowAspectRatioChange)
    Sets the disallow aspect ratio change.
    Parameters:
      `disallowAspectRatioChange` - the new disallow aspect ratio change

  - ### isDisallowSelectionOfChildShapes

    public boolean isDisallowSelectionOfChildShapes()
    Checks if is disallow selection of child shapes.
    Returns:
      true, if is disallow selection of child shapes

  - ### setDisallowSelectionOfChildShapes

    public void setDisallowSelectionOfChildShapes​(boolean disallowSelectionOfChildShapes)
    Sets the disallow selection of child shapes.
    Parameters:
      `disallowSelectionOfChildShapes` - the new disallow selection of child shapes

  - ### isDisallowGrouping

    public boolean isDisallowGrouping()
    Checks if is disallow grouping.
    Returns:
      true, if is disallow grouping

  - ### setDisallowGrouping

    public void setDisallowGrouping​(boolean disallowGrouping)
    Sets the disallow grouping.
    Parameters:
      `disallowGrouping` - the new disallow grouping

  - ### isDisallowMove

    public boolean isDisallowMove()
    Checks if is disallow move.
    Returns:
      true, if is disallow move

  - ### setDisallowMove

    public void setDisallowMove​(boolean disallowMove)
    Sets the disallow move.
    Parameters:
      `disallowMove` - the new disallow move

  - ### isDisallowResize

    public boolean isDisallowResize()
    Checks if is disallow resize.
    Returns:
      true, if is disallow resize

  - ### setDisallowResize

    public void setDisallowResize​(boolean disallowResize)
    Sets the disallow resize.
    Parameters:
      `disallowResize` - the new disallow resize

  - ### isDisallowSelection

    public boolean isDisallowSelection()
    Checks if is disallow selection.
    Returns:
      true, if is disallow selection

  - ### setDisallowSelection

    public void setDisallowSelection​(boolean disallowSelection)
    Sets the disallow selection.
    Parameters:
      `disallowSelection` - the new disallow selection